resources

## Class Constants

- java.lang.Object
- - resources.Constants

-     public class Constants
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

    This class defines string and numerical constants used throughout the simulation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Constants.AgentType`
    `static class` | `Constants.Disease`
    `static class` | `Constants.GoalDescription`
    `static class` | `Constants.IntensityLevel`
    `static class` | `Constants.StageOfChange`
    `static class` | `Constants.WeightCategory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `BMI_NORMAL_WEIGHT` Constant for the average BMI of an Employee with normal weight.
    `static double` | `BMI_OBESE` Constant for the average BMI of an obese Employee.
    `static double` | `BMI_OVERWEIGHT` Constant for the average BMI of an overweight Employee.
    `static java.lang.String` | `CONTEXT_ID` Constant identifying the environment context.
    `static int` | `DATA_TABLE_MAXIMUM_AGE` Constant specifying the maximum age in data tables.
    `static int` | `DATA_TABLE_MINIMUM_AGE` Constant specifying the minimum age in data tables.
    `static java.lang.String` | `NORMAL_DISTRIBUTION` Constant specifying the normal distribution.
    `static int` | `NORMAL_WITH_EXERCISE` Constant specifying the first column in the data tables
    `static int` | `NORMAL_WITHOUT_EXERCISE` Constant specifying the second column in the data tables
    `static int` | `NUMBER_OF_WEIGHT_CATEGORIES` Constant specifying the number of weight categories in data tables.
    `static int` | `OBESE_WITH_EXERCISE` Constant specifying the fifth column in the data tables
    `static int` | `OBESE_WITHOUT_EXERCISE` Constant specifying the sixth column in the data tables
    `static int` | `OVERWEIGHT_WITH_EXERCISE` Constant specifying the third column in the data tables
    `static int` | `OVERWEIGHT_WITHOUT_EXERCISE` Constant specifying the fourth column in the data tables
    `static double` | `SMALL_DISTANCE` Constant specifying a small distance.
    `static java.lang.String` | `UNIFORM_DISTRIBUTION` Constant specifying the uniform distribution.
    `static java.lang.String` | `WORKPLACE_SPACE_ID` Constant identifying the workplace space projection.
    `static int` | `WORKPLACE_SPACE_SIZE` Constant to initialize the workplace space dimension.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_ID

          public static final java.lang.String CONTEXT_ID

      Constant identifying the environment context.
      See Also:
        Constant Field Values

    - #### WORKPLACE_SPACE_ID

          public static final java.lang.String WORKPLACE_SPACE_ID

      Constant identifying the workplace space projection.
      See Also:
        Constant Field Values

    - #### WORKPLACE_SPACE_SIZE

          public static final int WORKPLACE_SPACE_SIZE

      Constant to initialize the workplace space dimension.
      See Also:
        Constant Field Values

    - #### SMALL_DISTANCE

          public static final double SMALL_DISTANCE

      Constant specifying a small distance.
      See Also:
        Constant Field Values

    - #### NORMAL_DISTRIBUTION

          public static final java.lang.String NORMAL_DISTRIBUTION

      Constant specifying the normal distribution.
      See Also:
        Constant Field Values

    - #### UNIFORM_DISTRIBUTION

          public static final java.lang.String UNIFORM_DISTRIBUTION

      Constant specifying the uniform distribution.
      See Also:
        Constant Field Values

    - #### NUMBER_OF_WEIGHT_CATEGORIES

          public static final int NUMBER_OF_WEIGHT_CATEGORIES

      Constant specifying the number of weight categories in data tables.
      See Also:
        Constant Field Values

    - #### DATA_TABLE_MINIMUM_AGE

          public static final int DATA_TABLE_MINIMUM_AGE

      Constant specifying the minimum age in data tables.
      See Also:
        Constant Field Values

    - #### DATA_TABLE_MAXIMUM_AGE

          public static final int DATA_TABLE_MAXIMUM_AGE

      Constant specifying the maximum age in data tables.
      See Also:
        Constant Field Values

    - #### NORMAL_WITH_EXERCISE

          public static final int NORMAL_WITH_EXERCISE

      Constant specifying the first column in the data tables
      See Also:
        Constant Field Values

    - #### NORMAL_WITHOUT_EXERCISE

          public static final int NORMAL_WITHOUT_EXERCISE

      Constant specifying the second column in the data tables
      See Also:
        Constant Field Values

    - #### OVERWEIGHT_WITH_EXERCISE

          public static final int OVERWEIGHT_WITH_EXERCISE

      Constant specifying the third column in the data tables
      See Also:
        Constant Field Values

    - #### OVERWEIGHT_WITHOUT_EXERCISE

          public static final int OVERWEIGHT_WITHOUT_EXERCISE

      Constant specifying the fourth column in the data tables
      See Also:
        Constant Field Values

    - #### OBESE_WITH_EXERCISE

          public static final int OBESE_WITH_EXERCISE

      Constant specifying the fifth column in the data tables
      See Also:
        Constant Field Values

    - #### OBESE_WITHOUT_EXERCISE

          public static final int OBESE_WITHOUT_EXERCISE

      Constant specifying the sixth column in the data tables
      See Also:
        Constant Field Values

    - #### BMI_NORMAL_WEIGHT

          public static final double BMI_NORMAL_WEIGHT

      Constant for the average BMI of an Employee with normal weight.
      See Also:
        Constant Field Values

    - #### BMI_OVERWEIGHT

          public static final double BMI_OVERWEIGHT

      Constant for the average BMI of an overweight Employee.
      See Also:
        Constant Field Values

    - #### BMI_OBESE

          public static final double BMI_OBESE

      Constant for the average BMI of an obese Employee.
      See Also:
        Constant Field Values